package com.kingdee.eas.custom.facade;

import com.kingdee.bos.BOSException;
//import com.kingdee.bos.metadata.*;
import com.kingdee.bos.framework.*;
import com.kingdee.bos.util.*;
import com.kingdee.bos.Context;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.util.*;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.bos.Context;
import com.kingdee.bos.framework.*;

import java.rmi.RemoteException;
import com.kingdee.bos.framework.ejb.BizController;

public interface EarlyWarningFacadeController extends BizController
{
    public void overExpenseApply(Context ctx) throws BOSException, EASBizException, RemoteException;
    public void forwardApply(Context ctx) throws BOSException, EASBizException, RemoteException;
    public void overAuditApply(Context ctx) throws BOSException, EASBizException, RemoteException;
    public void attendanceAbnormalApply(Context ctx) throws BOSException, EASBizException, RemoteException;
    public void becomeWorkApply(Context ctx) throws BOSException, EASBizException, RemoteException;
    public void thatAttendAbnormal(Context ctx) throws BOSException, EASBizException, RemoteException;
    public void departAttendAbnormal(Context ctx) throws BOSException, EASBizException, RemoteException;
    public void monthAttendAbnormal(Context ctx) throws BOSException, EASBizException, RemoteException;
}